summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen <orbea@fredslev.dk>2018-04-01 08:02:56 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-04-01 08:02:56 +0700
commitc5aed96c27f1ecb46ae0b6e4241a5d432f52d583 (patch)
tree1f9cce598b26c225d245528ef9249d741e986094
parentd56384da621af338289a0bf4ee47452153c59dc5 (diff)
downloadslackbuilds-c5aed96c27f1ecb46ae0b6e4241a5d432f52d583.tar.gz
slackbuilds-c5aed96c27f1ecb46ae0b6e4241a5d432f52d583.tar.xz
games/marathon-rubicon-data: Script update.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/marathon-rubicon-data/README9
-rw-r--r--games/marathon-rubicon-data/marathon-rubicon-data.SlackBuild14
2 files changed, 12 insertions, 11 deletions
diff --git a/games/marathon-rubicon-data/README b/games/marathon-rubicon-data/README
index 0f0643fbb9..41e67aa6a8 100644
--- a/games/marathon-rubicon-data/README
+++ b/games/marathon-rubicon-data/README
@@ -6,8 +6,11 @@ Marathon:Rubicon in 2001, Rubicon X is a complete overhaul of the
original. It features all new high-resolution artwork, new and
updated maps, and enough surprises to feel like a whole new game.
-Included in the package is a shell script wrapper. Type "marathon-rubicon"
-or select Marathon Rubicon X from the KDE or XFCE "Games" menu.
+Included in the package is a shell script wrapper. Type
+"marathon-rubicon" or select Marathon Rubicon X from the KDE or XFCE
+"Games" menu.
To install the gamedata in /opt instead of /usr to save space in the
-root partition use use OPT=yes ./marathon-rubicon-data.SlackBuild
+root partition use use:
+
+ OPT=yes ./marathon-rubicon-data.SlackBuild
diff --git a/games/marathon-rubicon-data/marathon-rubicon-data.SlackBuild b/games/marathon-rubicon-data/marathon-rubicon-data.SlackBuild
index 7838eaf523..fe708b68e1 100644
--- a/games/marathon-rubicon-data/marathon-rubicon-data.SlackBuild
+++ b/games/marathon-rubicon-data/marathon-rubicon-data.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Marathon: Rubicon X
-# Copyright 2015 Hunter Sezen California, USA
+# Copyright 2015, 2018 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -34,14 +34,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -eu
# install gamedata in opt instead of usr
-OPT=${OPT:-no}
-if [ "${OPT:-yes}" == "yes" ]; then
- DATA="/opt/AlephOne"
+if [ "${OPT:-0}" != 0 ]; then
+ DATA='/opt/AlephOne'
else
- DATA="/usr/share/AlephOne/gamedata"
+ DATA='/usr/share/AlephOne/gamedata'
fi
ZIPNAME=marathonRubiconX
@@ -50,9 +49,8 @@ WRAPPER=marathon-rubicon
DATADIR=$PKG$DATA
rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $TMP $PKG $OUTPUT $DATADIR
cd $TMP
-mkdir -p $DATADIR
unzip $CWD/$ZIPFILE -d $DATADIR
chown -R root:root $DATADIR